Thu Nov  9 00:24:11 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* defaults.h, winvn.rc, wvutil.cpp: format changes to make RCS happy

	* winvn.rc:
	Deleted Mime Boundary editbox to support Harvey Brydon's MIME code

Thu Nov  9 00:12:52 1995  brydon  (brydon@titan04.ksc.nasa.gov)

	* wvsend.c: Generate MIME boundary string on the fly

Thu Nov  9 00:10:43 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* defaults.h: changed file size defaults when running 32bit version

	* winvn.c, winvn.h, wvcncm.c, wvdlg.h, wvglob.h:
	Patches to support Harvey Brydons variable MIME boundaries code

Tue Nov  7 23:21:33 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.rc:
	Added support to change MAPI prefix and also updated addresses
	for WinVN developers.

	* wvmapi.c: Added support for user to change MAPI prefix to support non
	Microsoft MAPI implementations

	* wvlist.c:
	fixed problems with calling LockLine and failing to check where
	lock was accomplished.

	* wvheader.c:
	Added code where TopOfDoc and BottomOfDoc were being called
	but not handing case where function failed.  These are now
	BOOL and set FALSE if the function failed to lock memory to
	that location.

	* wvgroup.cpp:
	added extra error checking for code that calls LockLine and didn't
	check for failure to get lock.

	* wvcoding.c:
	fixed bug in decoding algorithm where == was being used instead of =

	* wvcncm.c:
	Added support to change MAPI prefix for non Microsoft MAPI implementations

Tue Nov  7 22:55:03 1995  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* headarry.cpp:
	Fixed bug in threading code that can cause an infinite loop
	in the "find_parent" function.

Tue Nov  7 22:53:25 1995  brydon  (brydon@titan04.ksc.nasa.gov)

	* wvusenet.cpp: formatting changes

	* wvaction.cpp, wvclass.h: Added low level support for KillFiles

Tue Nov  7 22:45:11 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvblock.c:
	modified TopOfDoc and BottomOfDoc to be BOOL's and return error
	codes upon failure.  Changed calling code to exit if functions
	failed.

	* defaults.h:
	Added default for MAPI prefix for people using non-Microsoft MAPI
	interfaces.

	* wvutil.cpp:
	fixed areas where LockLine was being called but success for
	lock was never checked before using the data areas.

	* winvn.c:
	changed "savingArtIndex" and "numArtsSaved" from globals to locations
	inside the TypeDoc structure

	* wvusenet.c: formatting change

	* wvart.c:
	Fixed error when cutting the headers of Rot13 encoded articles
	to the clipboard.

	* wvsend.c:
	changed nextBatchIndex from a global to a variable inside of the
	CompWnd structure.

	* wvdlg.h: Added support for user to configure MAPI prefix string

	* wvglob.h:
	moved some globals into the TypeDoc structure and changed max file
	name from 75 chars to 255

	* winvn.h:
	changed TopOfDoc and BottomOfDoc from void functions to BOOL so that
	error codes can be passed back

Wed Sep 27 21:54:58 1995  brydon  (brydon@titan04.ksc.nasa.gov)

	* wvusenet.cpp, wvutil.cpp: modifications to support killfiles

	* wvclass.h, wvaction.cpp: Initial revision

Fri Aug 25 01:42:36 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* defaults.h: modified defaults for connect at startup, execute ftp URL
	and auto select mail interface.

	* winvn.rc, wvgroup.cpp:
	fixed problems with menu items not greying out correctly

Thu Aug 24 23:58:50 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.c: fixed problem where menu items were improperly greyed out
	during select/deselect operations

Thu Aug 24 23:17:51 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.rc: Added help section for URL Execute Dialog

	* winvn.c: added check for a broken execute URL default on a previous
	release.

Wed Aug 23 23:39:33 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.rc: added new menu items for more article selection options

	* wvusenet.cpp: fixed problem with updating the status bar too often

	* wvlist.c: fixed problems with updating the status bar too often

	* wvheader.c: added an extra check incase a user posts without a valid
	header entry for username and personal name.

	* wvgroup.cpp: support for deselecting matched/unmatched articles and
	other selection type functions

	* winvn.h: added additional defs for more menu selection items

Wed Aug 16 22:52:41 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn32.def: added external for WinVNExecuteInfoDlg

	* winvn.rc: added dialog box for sorting newsgroups and executing url's

Wed Aug 16 22:48:13 1995  goh  (goh@titan04.ksc.nasa.gov)

	* wvutil.cpp: fixed bugs in sync_artnum that could cause gpfs

	* wvusenet.cpp:
	added support for sorting newsgroups and marking all groups
	as being selected

	* wvsend.c: fixed winvn to correctly support RFC-1521 MIME encoding
	selection between US-ASCII and ISO-8859-1 character
	sets.

Wed Aug 16 22:38:21 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvlist.c: added support for sorting list of newsgroups

	* wvcncm.c: added dialog box support for clicking on URLs

Wed Aug 16 22:35:17 1995  shimomai  (shimomai@titan04.ksc.nasa.gov)

	* wvart.c: added support for clicking on URLs

Wed Aug 16 22:34:37 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.c: added support for clicking on URLs

Wed Aug 16 22:33:43 1995  shimomai  (shimomai@titan04.ksc.nasa.gov)

	* wvglob.h: added support for clicking on URLs

Wed Aug 16 22:31:42 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvdlg.h: added defines to support clicking on URLs

	* winvn.h:
	added defines to support executing URL's and sorting Newsgroups

	* defaults.h:
	Added defaults for the clickable URL interface to determine
	which programs to execute for different protocols.

Fri Jul 21 16:11:20 1995  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* wvutil.cpp:
	fixes stop GPF in XHDR code and sync_artnum.  Also fixes to
	fetching proper number of articles in "latest unread" feature.

Tue Jun  6 06:02:03 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvusenet.cpp:
	relaxed restrictions on reset server protocol to allow aborting
	some hung connections.

	* wvutil.cpp:
	changed name of CascadeWindows to remove conflict with Windows95

	* wvgroup.cpp:
	fix a few places where global locks were not being checked

	* winvn.h:
	changed name of CascadeWindows so as to not conflict with Windows95

Tue Jun  6 04:12:22 1995  ishido  (ishido@titan04.ksc.nasa.gov)

	* wvsckgen.c: changed size of hostname buffer from 1024 to 256 to keep
	from GPFing some WinSock stacks.

Tue Jun  6 04:09:06 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvlist.c:
	fixed problem with a typo in LinePtr that could cause list of
	groups in Newsrc to get trashed when subscribing to a group.

	* wvgroup.cpp:
	fixed problem with failing to mark newsrc as needing to be saved

	* wvcncm.c: fixed minor problem with format of code

	* wvart.c:
	fixed problem with validation of author when canceling an article

	* winvn.rc: removed extra seperators on two menus

Tue Jun  6 03:39:25 1995  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* wvcompos.c:
	fix GenerateHeadersForSend.  Was always returning SUCCESS even
	on failure.  Result was that if missing a required header (ie:subject),
	it would close/abort your mail.

	* wvsend.c:
	never uses default content types (always explicit). for text/plain
	always appends charset.

	* defaults.h, winvn.c, wvglob.h:
	support for new INI option MIMECharset which defaults to ISO-8859-1

Sat May 20 04:09:40 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvart.c: fix case sensitivity problem with canceling articles

Sat May 20 01:21:08 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvsckgen.c: recheckin to correct formatting problem

	* wvsckgen.c: modified Gensock error messages so that they don't look
	as scary to new users.

Fri May 19 23:21:45 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvdlg.h: added defines to support timezone setting and crossposted
	articles dialog boxes.

	* winvn.rc: added dialog box support for TimeZone setting and marking
	crossposting.  Also cleaned up space between various menu
	items, move location of Save Newsrc and fixed various status
	messages.

	* wvcncm.c: Added dialog support for setting crossposting options and
	TimeZone data.  Fixed problem with bogus article threshold
	data set to -1.

	* wvheader.c:
	changed syntax of file save to match unix mailbox format.  Changed
	size of year from 2 character years (ie: 95) to 4 character years
	(ie: 1995).  Added ability to post followup-to header to go to
	the keyword poster.  Cleaned up raw pointer math.

	* wvcompos.c:
	Properly size compose edit menu based on Compose font info.  Make
	sure it is 78 characters if being started with a fixed font.  Allow
	for proper canceling of articles if Followup-to header is used.

	* wvart.c: Added support for marking crossposted articles.  Changed
	all raw pointer access functions to use accessor macros.
	Added Help option to tool bar.  Added seperators to make
	toolbar operations farther appart.

	* wvgroup.cpp:
	fixed raw pointer math to use accessor functions, tightened
	up code on who is allowed to cancel articles, added support
	for HELP toolbar on group window, added support to grow
	article range array dynamically.

	* winvn.h:
	added function templates for functions needed to support marking
	of crossposted articles.

	* wvglob.h:
	added variables for marking NewsRC as changed, variable to store
	TimeZone info and array changes to allow Range Array to grow
	dynamically.

	* wvcoding.c: modified pointer path to use accessor macros instead
	This was a cleanup necessary to support crossposting (JD)

	* headarry.cpp:
	Added new routine to find article index into header array
	given only the article number.  Needed for crossposting
	support.

	* wvusenet.cpp:
	added support to track when NewsRC file changes so we don't need
	to save as often.  Cleaned up pointer math so we can use accessor
	functions instead of raw indexing.  Changed toolbar help to
	point to HELP file instead of About box.

	* wvblock.c:
	changed all raw pointer indexing to use accessor macros instead.

	* wvlist.c:
	Cleaned up data structures so that access functions are used
	instead of raw pointer math (JD)

	* wvsend.c: cleaned up some commented out code.

	* winvn.c:
	added a way to track when the NewsRC file changes so that it doesn't
	need to be written out if not necessary.  Also added the ability
	to set the TimeZone environment variable from the Config menu and
	WinVN.INI file.

	* defaults.h:
	Added defaults for enabling/disabling tracking of crossposted
	articles.  Also support for Spare Range array size default.

	* wvutil.cpp: changed all pointer calculations into macro calls.

	* wvprint.c:
	got rid of raw pointer manulipations and replace with GetTextPtr
	macro.

	* wvfile.c:
	Add a space seperator between files saved in mailbox format.

Sat Apr 22 02:06:56 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.c: Fix a problem where the main loop looks for a mail window
	and sends it a dialog message even if none exist.

	* wvlist.c: Fix a formatting problem

	* wvlist.c:
	Fix a problem that can overwrite memory if number of new groups
	on the server is 0.

	* wvcompos.c: Fix case problem with an "int" being typed as INT

	* wvcompos.c, wvglob.h:
	Fix problem with Followup-to header appearing below attach header window

Fri Apr 21 21:47:11 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.rc, wvart.c, wvcompos.c, wvglob.h, wvgroup.cpp, wvheader.c, wvsend.c:
	Add cancel capability and warning message when posting window is larger
	than 78 characters in width.

Tue Apr 18 19:07:36 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvgroup.cpp: Fix GPFs if COMDOC becomes null for any reason

Mon Apr 17 23:29:55 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.h: allow followup-to header to be displayed in posting window

	* wvglob.h, wvheader.c:
	Allow followup-to header to be displayed during posting window

	* wvdlg.h: Allow Followup-to header to be displayed in Posting window

Mon Apr 17 23:23:32 1995  brydon  (brydon@titan04.ksc.nasa.gov)

	* wvusenet.cpp: Initial revision

Mon Apr 17 23:16:22 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.rc: Allow config option for Followup-to header.  Also change
	display message on Close option, message was incorrect.

	* wvcompos.c: allow Followup-to header to be displayed during posting

	* defaults.h, winvn.c, wvcncm.c:
	Allow display of Followup-to header when posting

Fri Apr 14 16:45:57 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.rc:
	Add extra warning for people that use News Server Authorization

	* wvgroup.cpp:
	Fix problem with not being able to view some articles after a sort

Wed Apr 12 20:54:46 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvusenet.c:
	Allow PageUP, PageDown, Home and End keys to work regardless
	of state of the Multi-Selection option

	* wvgroup.cpp: Make saving newsrc up closing group an option

	* wvglob.h, wvcncm.c, winvn.h:
	Make saving newsrc upon closing group an option

	* defaults.h, winvn.c, winvn.rc, wvdlg.h:
	Make saving Newsrc when closing group an option

Mon Apr  3 15:12:33 1995  ishidou  (ishidou@titan04.ksc.nasa.gov)

	* wvheader.c:
	Use Followup-to header instead of newsgroups header if available

Wed Mar 29 01:53:28 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvusenet.c: Fix bug with unitialized HMENU object during Reset

	* winvn.c, wvcompos.c:
	Fix GPF where uninitialized Hdc was being used when responding to articles

	* headarry.cpp, ini_news.cpp:
	Comment out all Trace options in preparation of WinVN 1.0 Release

	* wvgroup.cpp:
	allow PageUp, PageDown, Home and End keys to work regardless of
	setting of Multi-Select option in Group Article List window

	* wvart.c:
	fix GPF when marking text in extreemly large articles.  Fixed
	copying of ROT13 encoded text to clipboard

	* wvusenet.c:
	enable reset server protocol in instances where it wasn't previously
	possible to recover from a hung server connection

Thu Mar 16 17:14:27 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvprint.c: allow printing of ROT13 Messages

	* winvn.h, wvart.c: fix part of the cut/past GPF on huge articles

	* winvn.rc, wvusenet.c: Add a simple Save NewsRC option to Network menu

Wed Mar  1 19:18:14 1995  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvutil.cpp: message-id hashing for better threading

	* headarry.cpp:
	use presence of 'Re: ' as a hint when reconstructing a broken thread

Mon Feb 13 19:30:41 1995  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvutil.cpp:
	made a new hash function, rather than trying to reuse HashGroup

	* wvlist.c: Changed argument for HashGroup back to huge, Just In Case.

Tue Feb  7 23:02:51 1995  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* wvfiler.c:
	SmartFiler: ask on duplicate filename, ignored entered filename.

	* winvn.h, winvn.rc, wvusenet.c, wvutil.cpp:
	About box shows IDD_VERSION_NUMBER in static text
	Added Restore All command to Window menu and to main window Sys menu

	* wvcompos.c, wvheader.c: pays attention to CC's during mail reply.

Tue Feb  7 22:43:03 1995  jglasser  (jglasser@titan04.ksc.nasa.gov)

	* wvlist.c: Fix progress bar in main window for win16

Thu Feb  2 23:16:57 1995  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvutil.cpp: skip '<' on message-id's in header struct.

	* wvlist.c:
	changed HashGroup()'s argument type from 'unsigned char huge *' to 'char *'

	* winvn.h:
	change HashGroup()'s argument type from 'unsigned char huge *' to 'char *'

	* wvutil.cpp: skip over '<' character in mids & refs.
	make mids & refs > 30 chars unique with a 4-char hash at the end.

Wed Jan 25 03:26:51 1995  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* headarry.cpp:
	redesigned the 'orphan reunite' code in sort_by_threads() again

Wed Jan 25 01:27:51 1995  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvutil.cpp: setting default thread sort to THREADSUB for testing

	* wvusenet.c:
	use a temporary file when writing newsrc [in case of disaster]

Tue Jan 24 03:18:30 1995  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* headarry.cpp:
	recoded Harvey Brydon's SortParents() algorithm to be nlogn.

Mon Jan 23 20:39:39 1995  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* wvsend.c: fix CUT HERE lines for uuencoded-without-mime attach

Thu Jan 19 02:53:10 1995  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* wvfiler.c:
	kludgey fix for wv16 decoder crash on filenames like 'abc.def.ghi'

Thu Jan 19 02:50:34 1995  jglasser  (jglasser@titan04.ksc.nasa.gov)

	* wvstbar.c: .missed change

	* winvn.h, wvart.c, wvglob.h, wvgroup.cpp, wvlist.c, wvstbar.c, wvusenet.c, wvutil.cpp:
	Jody Glasser's changes of 950113

Thu Jan 19 02:35:45 1995  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvgroup.cpp:
	HB's threadOk check needs an extra check for hParentBlock==NULL
	because the code is sometimes called before an InitDoc().

	* wvblock.c: issue warning when LockLine called with hBlock==NULL

	* headarry.cpp: .experimenting with new sort by subject algorithm.

Tue Jan 17 19:08:04 1995  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvgroup.cpp: cast result of SelectObject to HBRUSH to remove warnings

Wed Jan 11 21:58:54 1995  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvsckgen.c: .bracket typo

	* wvfilter.c:
	make the embedded wildmat code not have a magical rcs revision string.

	* wvsckgen.c: catch errors without error codes in open_smtp_socket()

Tue Jan  3 20:45:35 1995  brydon  (brydon@titan04.ksc.nasa.gov)

	* wvglob.h: new declarations, misc fixes on several old declarations

	* winvn.rc: new menu items for IDM_SORT_THREADSUB, IDM_CANCEL

	* winvn.h: new declarations, misc fixes on several old declarations

	* wvutil.cpp:
	"Sort" menu: checkmark on sorting option (ie. CheckMenuItem) selected by
	user.
	"Sort" menu: add Thread/Subject sort option.
	Record and remember user's sort option for each newsgroup.
	Made ANSI, several declarations and calls fixed.

	* wvgroup.cpp:
	"Sort" menu: checkmark on sorting option (ie. CheckMenuItem) selected by
	user.
	"Sort" menu: add Thread/Subject sort option
	Record and remember user's sort option for each newsgroup
	made ANSI C++

	* ini_news.cpp: environment variable pointer fix
	made ANSI C++

	* headarry.cpp:
	"Sort" menu: checkmark on sorting option (ie. CheckMenuItem) selected by
	user.
	Add Thread/Subject sort option
	Support to record and remember user's sort option for each newsgroup
	made an ANSI C++ file

Tue Jan  3 19:00:30 1995  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* wvusenet.c: don't write newsrc under certain conditions

	* wvgroup.cpp: uncomment CalcNumUnread call.

Thu Dec 22 18:35:51 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvutil.cpp:
	explain the 'more included text' rejection notice to users.

	* ini_news.cpp: newsrc not being found via environment variable.

Wed Dec 21 19:09:23 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvsckgen.c:
	punt to a bogus name for HELO command when gethostname() fails...

Wed Dec 21 18:38:00 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* wvgroup.cpp: a call to CalcNumUnread() commented out
	possible need for unlock_headers() call before two instances of free_headers()

	* wvblock.c: crash on find if very long header

Wed Dec 21 16:17:56 1994  jpiraino  (jpiraino@titan04.ksc.nasa.gov)

	* wvblock.c: made an emtpy-bodied while more obvious

	* headarry.cpp: unlock temp arrays before freeing

Mon Dec 19 17:08:24 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvusenet.c: changed multi-line comment to #if 0/#endif

	* wvutil.cpp: .no comment (jcooper)

	* wvusenet.c: change c++ comments to c

	* wvusenet.c: disconnect logic fix (jglasser)

Wed Dec 14 17:02:13 1994  brydon  (brydon@titan04.ksc.nasa.gov)

	* wvfile.c: fix for non-winvn newsrc support

Tue Dec 13 21:27:41 1994  brydon  (brydon@titan04.ksc.nasa.gov)

	* wvutil.cpp: informative message when AUTHINFO fails

Tue Dec 13 12:59:28 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* winvn.c, wvcompos.c, wvusenet.c, wvutil.cpp: 93.10 update (take two)

Mon Dec 12 19:39:13 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* headarry.cpp, winvn.h, winvn.rc, wvart.c, wvblock.c, wvcncm.c, wvglob.h, wvgroup.cpp, wvheader.c, wvlist.c, wvmail.c, wvsend.c, defaults.h:
	0.9.99 update

Wed Nov 30 22:38:57 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvprint.c: another attempt at fixing AbortProc callback bug

Wed Nov 30 22:22:08 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* winvn.rc, wvart.c, wvgroup.cpp, wvheader.c, wvscreen.c, wvsend.c, wvusenet.c, wvutil.cpp:
	93.9 changes

Wed Nov 30 03:04:36 1994  jpiraino  (jpiraino@titan04.ksc.nasa.gov)

	* wvusenet.c: an hwnd was getting stomped on.

	* wvglob.h: MAXTBBUTTONS

	* wvusenet.c: hard-coded array size, use MAXTBBUTTONS

Wed Nov 30 02:46:44 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.rc:
	Remove CANCEL box on Printing Dialog temporarily.  Feature disabled
	to make printing work.

	* wvprint.c:
	Always force AbortProc to return true - Disabling Print Cancel
	feature for now.  This will clear up all printing problems.

Tue Nov 29 23:12:47 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.c: emacs stuff

	* wvprint.c:
	Fix printing selected text and GPF's for various printer drivers.

Tue Nov 29 00:49:37 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* wvcompos.c: 93.8 update

Mon Nov 28 22:16:25 1994  jpiraino  (jpiraino@titan04.ksc.nasa.gov)

	* winvn.c: buffer length mismatches (jpiraino)

	* winvn.c: hdc was released and re-used.

Mon Nov 28 22:04:33 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* wvpath.c, ini_news.cpp, winvn.c, wvart.c, wvcncm.c, wvfiler.c, wvglob.h, wvgroup.cpp, wvheader.c, wvsckgen.c, wvsend.c, wvusenet.c:
	93.8 update from jcooper

Mon Nov 28 21:59:20 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.rc: 93.8 update from jcooper

Thu Nov 24 06:04:52 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* wvprint.c: Attempt to fix broken printing for some device drivers

Thu Nov 24 00:20:03 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvgroup.cpp: integer size mismatch.

Tue Nov 22 02:53:35 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* winvn.rc, wvutil.cpp: 93.7 update

Mon Nov 21 21:20:46 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* defaults.h, ini_news.cpp, winvn.c, winvn.h, wvart.c, wvblock.c, wvcncm.c, wvcoding.c, wvcompos.c, wvdlg.h, wvfiler.c, wvglob.h, wvgroup.cpp, wvheader.c, wvlist.c, wvsckgen.c, wvscreen.c, wvsend.c, wvstates.h, wvusenet.c:
	93.7 update

Wed Nov 16 21:33:26 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* wvutil.cpp: check for connection to INND, if so, send 'mode reader'

Fri Nov 11 01:41:51 1994  jglasser  (jglasser@titan04.ksc.nasa.gov)

	* winvn.rc, wvgroup.cpp, winvn.h, wvart.c, wvstbar.c, wvusenet.c:
	toolbar fixes

Fri Nov 11 01:06:15 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* wvmapi.h: *** empty log message ***

Thu Nov 10 23:00:19 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* winvn.rc, wvcncm.c, wvgroup.cpp, wvscreen.c, wvsend.c, wvutil.cpp:
	93.5 update

Thu Nov 10 05:09:48 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn32.def, winvn16.def: Initial revision

	* winvn.rc, wvpath.c: restart

	* winvn.c: checked in with -k by rushing at 1994/11/10 05:11:51

	* wvutil.cpp, wvusenet.c, headarry.cpp, ini_news.cpp, shellsor.c, wvart.c, wvblock.c, wvcncm.c, wvcodewn.c, wvcoding.c, wvfile.c, wvheader.c, wvlist.c, wvmail.c, wvmapi.c, wvprint.c, wvscreen.c, wvsend.c, wvtxtblk.c, wvdlg.h, wvstates.h, wvglob.h:
	restart

	* winvn.h: reindented

	* primes.h, defaults.h, wvstbar.c, wvsckgen.c, wvfilter.c, wvgroup.cpp, wvfiler.c, wvcrypt.c, wvcompos.c:
	restart

Wed Nov  9 23:02:39 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: 93.3 update

Wed Nov  2 01:50:05 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* winvn.h: lots of changes for .93.0

Sun Sep 18 22:50:26 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* winvn.h: New Window menu with cascade, etc

	* winvn.h:
	declarations for SmartFiler, SelectPath dialogs, and general cleanup
	for 92.6

Tue Sep  6 12:47:30 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: fix maildlg for win32

Fri Sep  2 23:49:59 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: fixes for new hashtable stuff, shellsort decl.

Fri Sep  2 19:22:36 1994  martin  (martin@titan04.ksc.nasa.gov)

	* winvn.h: martin fixes

Wed Aug 24 18:40:15 1994  mrr  (mrr@titan04.ksc.nasa.gov)

	* winvn.h: authorization enables post/mail

Wed Aug 24 17:59:26 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* winvn.h: misc encoding/decoding changes

Tue Aug 23 23:07:06 1994  martin  (martin@titan04.ksc.nasa.gov)

	* winvn.h: new hash table stuff

Thu Aug 11 02:25:59 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.h: enabled STRICT compile and cleaned up parameter casting

Thu Aug 11 00:15:51 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* winvn.h:
	change function spec for FinishAttachment and add RETRIEVE_COMPLETE

Thu Aug  4 05:47:33 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.h: Changed function spec of PrintDlgProc from BOOL to LRESULT

Tue Aug  2 05:00:16 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.h: change HANDLE to HINSTANCE for better NT compatiblity

Thu Jul 28 21:14:19 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.h: yet another attempt at fixing printing

Tue Jul 26 22:17:28 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.h: Changed function prototype for printing function

Mon Jul 25 18:51:48 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* winvn.h: execution of decoded files

Fri Jul  1 03:44:54 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.h:
	Converted some FAR PASCAL pointers to WINAPI for better portability

Thu Jun 30 16:38:39 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.h:
	Changed some FAR PASCAL calls to WINAPI calls for better compatibility

Thu Jun 23 23:05:54 1994  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.h: added function specs for new printing functions

Thu Jun  9 18:39:34 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: word-wrap, dot-doubling, and default port numbers

Mon Jun  6 22:08:22 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: id keyword back in, log messages out.

Wed Jun  1 19:00:00 1994  gardnerd  (gardnerd@titan04.ksc.nasa.gov)

	* winvn.h: support for horizontal scrolling

Mon May 23 18:37:00 1994  jcooper  (jcooper@titan04.ksc.nasa.gov)

	* winvn.h: new attach code, session [dis]connect

Thu May 19 02:02:10 1994  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: changes for gensock & version 0.91

Thu Feb 24 21:25:08 1994  jcoop  (jcoop@titan04.ksc.nasa.gov)

	* winvn.h: jcoop changes

Wed Feb 16 21:04:46 1994  cnolan  (cnolan@titan04.ksc.nasa.gov)

	* winvn.h: cnolan changes to 90.3

Wed Feb  9 01:33:36 1994  cnolan  (cnolan@titan04.ksc.nasa.gov)

	* winvn.h: cnolan changes

Mon Jan 24 17:39:47 1994  jcoop  (jcoop@titan04.ksc.nasa.gov)

	* winvn.h: 90.2 changes

Sun Jan 16 00:27:38 1994  jcoop  (jcoop@titan04.ksc.nasa.gov)

	* winvn.h: Declarations for jcoop's new stuff

Wed Jan 12 19:25:59 1994  mrr  (mrr@titan04.ksc.nasa.gov)

	* winvn.h: mrr mods 4

Wed Dec  8 01:29:07 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: new version box and cr lf consistency

Wed Aug 25 18:53:17 1993  mbretherton  (mbretherton@titan04.ksc.nasa.gov)

	* winvn.h: MRB merge, mail & post logging

	* winvn.h: merge from first newsrc.zip
	,

Wed Aug 18 21:49:21 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: more 16-bit article number fixes.

Thu Aug  5 20:06:07 1993  jcoop  (jcoop@titan04.ksc.nasa.gov)

	* winvn.h:
	save multiple articles changes by jcoop@oakb2s01.apl.com (John S Cooper)

Tue Jul 13 16:03:04 1993  riordan  (riordan@titan04.ksc.nasa.gov)

	* winvn.h: MRR mods

Tue Jul  6 21:09:09 1993  cnolan  (cnolan@titan04.ksc.nasa.gov)

	* winvn.h: win32 support

Mon Jun 28 17:51:39 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: fixed compiler warnings

Fri Jun 25 20:26:07 1993  Jim Dumoulin  (dumoulin@titan04.ksc.nasa.gov)

	* winvn.h: Added StringDate to support POSIX standard numeric dates

Thu Jun 24 17:13:14 1993  riordan  (riordan@titan04.ksc.nasa.gov)

	* winvn.h: Save window positions between sessions.

Fri Jun 11 00:12:13 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: second merge from Matt Bretherton sources.

Thu Jun 10 18:27:50 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h:
	added set_index_to_identity to prepare for writing article ranges

Tue Jun  8 19:42:17 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: added support for Sort... menu

Tue Jun  1 18:16:44 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: moved header funcs to headarry.c

Sat May 29 03:32:30 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: threading support

Fri May 28 18:23:23 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: fixed far/huge problem in find_art_by_subject

Mon May 24 23:28:04 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: Header formatting refinements (MRB)

Tue May 18 22:11:40 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: smtp support

Thu May 13 16:17:12 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: article fetch limit support

Sat May  1 01:36:56 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: added IDM_UPDATE

Tue Mar 30 20:46:27 1993  DUMOULIN  (DUMOULIN@titan04.ksc.nasa.gov)

	* winvn.h: MAPI

Tue Feb 16 20:54:42 1993  Sam Rushing  (rushing@titan04.ksc.nasa.gov)

	* winvn.h: Initial revision

